<template>
    <el-date-picker
        class="pam-date cursor--pointer"
        popper-class="pam-date-popper"
        v-model="dateValue"
        :clearable="false"
        type="date"
        format="yyyy/MM/dd"
        placeholder="選擇日期"
        prefix-icon="icon-down"
        @change="changeDate"
    >
    </el-date-picker>
</template>

<script lang="ts">
import { Component, Emit, Vue } from "nuxt-property-decorator";

@Component
export default class UiDatePicker extends Vue {
    dateValue = '';

    @Emit('changeDate')
    changeDate() {
        return this.dateValue;
    }
}
</script>